Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
[Java] Class CompilationUnit.ClassgenCallback

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.ClassgenCallback

    public static abstract class CompilationUnit.ClassgenCallback

A callback interface you can use to "accompany" the classgen() code as it traverses the ClassNode tree. You will be called-back for each primary and inner class. Use setClassgenCallback() before running compile() to set your callback.

Method Summary
`void` | `call(org.objectweb.asm.ClassVisitor writer, ClassNode node)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### call

    public void call(org.objectweb.asm.ClassVisitor writer, ClassNode node)

Copyright © 2003-2010 The Codehaus. All rights reserved.